{% extends "base.twig" %}
{% block content %}
  <div class="single-product-page {% if shopMode %}shop-mode{% endif %}">
    <div class="section">
      <div class="container-fluid">
        <div class="wrapper">
          <h1 data-aos="fade" class="h2 bottom-green-line section__title">Oferta</h1>
          {% if shopMode %}
            <div data-aos="fade" class="shop-header bottom-silver-line">
              <div class="breadcrumbs">
                <a href="{{ links.home_url }}" title="Strona główna">Strona główna</a>
                <span class="slash">/</span>
                <a href="{{ links.shop_url }}?tab=2" title="Dla bliskich">Dla bliskich</a>
                <span class="d-none d-md-inline-flex">
                <span class="slash">/</span>
              {{ product.name }}
              </span>
              </div>
              <a href="{{ links.cart_url }}" title="Koszyk" class="cart">
                <svg id="Group_5070" data-name="Group 5070" xmlns="http://www.w3.org/2000/svg" width="26.45" height="23"
                     viewBox="0 0 26.45 23">
                  <path id="Path_4928" data-name="Path 4928"
                        d="M4.862,10a.863.863,0,0,0,0,1.725H8.3c1.427,3.535,2.834,7.077,4.25,10.62l-1.3,3.135a.863.863,0,0,0,.8,1.195H26.425a.863.863,0,1,0,0-1.725H13.344l.746-1.779,13.845-1.105a.887.887,0,0,0,.773-.665l1.725-7.475a.9.9,0,0,0-.845-1.051H10.622l-.934-2.336a.884.884,0,0,0-.8-.539Zm6.451,4.6H28.5l-1.339,5.8L14.054,21.446Zm3.612,12.65A2.875,2.875,0,1,0,17.8,30.125,2.888,2.888,0,0,0,14.925,27.25Zm8.625,0a2.875,2.875,0,1,0,2.875,2.875A2.888,2.888,0,0,0,23.55,27.25Zm-8.625,1.725a1.15,1.15,0,1,1-1.15,1.15A1.137,1.137,0,0,1,14.925,28.975Zm8.625,0a1.15,1.15,0,1,1-1.15,1.15A1.137,1.137,0,0,1,23.55,28.975Z"
                        transform="translate(-4 -10)" fill="#8bc549"/>
                </svg>
                Koszyk (<span class="js-count-cart-products">{{ cart.products|length }}</span>)
              </a>
            </div>
          {% endif %}
          <div class="row section__product">
            <div class="col-md-7 col-lg-6">
              <h1 data-aos="fade-up" class="h1 section__product__name">{{ product.name }}</h1>
              <div data-aos="fade-up" class="content section__product__description">{{ product.description|raw }}</div>

              {% if shopMode %}
                {% set productObject = product|json_encode|escape('html') %}
                {% set linksObject = links|json_encode|escape('html') %}

                <c-t-a data-aos="fade" :product="{{ productObject }}" :links="{{ linksObject }}"></c-t-a>
              {% else %}
                <div data-aos="fade" class="d-flex">
                  <a class="button js-button-booksy" title="Umów wizytę przez internet">Umów wizytę przez internet</a>
                </div>
              {% endif %}

            </div>
            <div class="col-md-5 col-lg-6">
              {% if product.image %}
                <img data-aos="fade" class="section__product__image" src="{{ product.image }}" alt="{{ product.name }}" title="{{ product.name }}">
              {% endif %}
            </div>
          </div>
          <div class="section__details">
            <h3 data-aos="fade" class="h3 section__details__title">Szczegóły</h3>
            <div class="row">
              {% if product.variations and product.variations|length %}
                <div class="col-md-7 col-lg-6">
                  {% if product.simple_variation %}
                    <div data-aos="fade" class="table">
                      <span class="product-details-title d-md-none">Cena masażu:</span>
                      <div class="tr tr--first">
                        <span class="product-details-title d-none d-md-flex">Cena masażu:</span>
                        {% for variation in product.variations %}
                          {% if variation.attributes.attribute_pa_pakage == 'single' or variation.attributes.attribute_pa_pakage == 'five-people' %}
                            <span>{{ variation.attributes.attribute_pa_time }}</span>
                          {% endif %}
                        {% endfor %}
                      </div>
                      <div class="tr">
                        <span class="product-details-title d-none d-md-flex"></span>
                        {% for variation in product.variations %}
                          {% if variation.attributes.attribute_pa_pakage == 'single' or variation.attributes.attribute_pa_pakage == 'five-people' %}
                            <span>{{ variation.display_price }} zł</span>
                          {% endif %}
                        {% endfor %}
                      </div>
                    </div>
                  {% endif %}
                  {% if product.is_packages %}
                    <div data-aos="fade" class="table">
                      <span class="product-details-title d-md-none">Cena pakietu:</span>
                      <div class="tr tr--first">
                        <span class="product-details-title d-none d-md-flex">Cena pakietu:</span>
                        {% for variation in product.variations %}
                          {% if variation.attributes.attribute_pa_pakage == 'five' %}
                            <span>5x {{ variation.attributes.attribute_pa_time }}</span>
                          {% endif %}
                        {% endfor %}
                      </div>
                      <div class="tr">
                        <span class="product-details-title d-none d-md-flex"></span>
                        {% for variation in product.variations %}
                          {% if variation.attributes.attribute_pa_pakage == 'five' %}
                            <span>{{ variation.display_price }} zł</span>
                          {% endif %}
                        {% endfor %}
                      </div>
                    </div>
                  {% endif %}
                </div>
              {% endif %}
              <div class="col-md-5 col-lg-6">
                {% if product.categories %}
                  {% for category in product.categories %}
                    {% for parentCategory in product.parentCategories %}
                      {% if category.parent == parentCategory.term_id %}
                        <div data-aos="fade" class="table category">
                          <div class="tr tr--first">
                            <span class="product-details-title">{{ parentCategory.name }}:</span>
                            <span>{{ category.name|lower }}</span>
                          </div>
                        </div>
                      {% endif %}
                    {% endfor %}
                  {% endfor %}
                {% endif %}
              </div>
            </div>
          </div>
          {% if product.acf %}
            <div class="row section__additional">
              {% if product.acf.masseurs %}
                <div class="col-md-7 col-lg-6 section__masseurs">
                  <h3 data-aos="fade" class="h3 section__masseurs__title">Masażyści</h3>
                  <div class="section__masseurs__people">
                    {% for person in product.acf.masseurs %}
                      <div data-aos="fade" class="section__masseurs__person">
                        {% include 'partial/image.twig' with {'image' : person.acf.image} %}
                        <strong class="section__masseurs__full-name">
                          {{ person.acf.full_name }}
                        </strong>
                      </div>
                    {% endfor %}
                  </div>
                </div>
              {% endif %}
              {% if product.acf.contraindications %}
                <div class="col-md-5 col-lg-6 section__contraindications">
                  <h3 data-aos="fade" class="h3 section__contraindications__title">Przeciwwskazania</h3>
                  <div data-aos="fade" class="content">
                    {{ product.acf.contraindications|raw }}
                  </div>
                </div>
              {% endif %}
            </div>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}
